Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.binding.bindingsource
[Groovy] Class DefaultDataBindingSourceRegistry

    java.lang.Object
      org.codehaus.groovy.grails.web.util.ClassAndMimeTypeRegistry
          org.codehaus.groovy.grails.web.binding.bindingsource.DefaultDataBindingSourceRegistry

All Implemented Interfaces:
  DataBindingSourceRegistry

    @groovy.transform.CompileStatic
    class DefaultDataBindingSourceRegistry
    extends ClassAndMimeTypeRegistry

Nested Class Summary
`static class` | `DefaultDataBindingSourceRegistry.DataBindingSourceCreatorCacheKey`

Method Summary
`void` | `addDataBindingSourceCreator(DataBindingSourceCreator creator)`
`DefaultDataBindingSourceRegistry.DataBindingSourceCreatorCacheKey` | `createCacheKey(java.lang.Class type, MimeType mimeType)`
`CollectionDataBindingSource` | `createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
`DataBindingSource` | `createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
`protected DataBindingSourceCreator` | `getDataBindingSourceCreator(MimeType mimeType, java.lang.Class targetType, java.lang.Object bindingSource)`
`void` | `initialize()`
`void` | `setDataBindingSourceCreators(DataBindingSourceCreator[] dataBindingSourceCreators)`

Methods inherited from class ClassAndMimeTypeRegistry
addToRegisteredObjects, createCacheKey, findMatchingObjectForMimeType, findRegisteredObjectForType, getRegisteredObjects, registerDefault, removeFromCache

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### addDataBindingSourceCreator

    @java.lang.Override
    void addDataBindingSourceCreator(DataBindingSourceCreator creator)

### createCacheKey

    @java.lang.Override
    DefaultDataBindingSourceRegistry.DataBindingSourceCreatorCacheKey createCacheKey(java.lang.Class type, MimeType mimeType)

### createCollectionDataBindingSource

    @java.lang.Override
    CollectionDataBindingSource createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

### createDataBindingSource

    @java.lang.Override
    DataBindingSource createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

### getDataBindingSourceCreator

    protected DataBindingSourceCreator getDataBindingSourceCreator(MimeType mimeType, java.lang.Class targetType, java.lang.Object bindingSource)

### initialize

    @javax.annotation.PostConstruct
    void initialize()

### setDataBindingSourceCreators

    @org.springframework.beans.factory.annotation.Autowired(required = false)
    void setDataBindingSourceCreators(DataBindingSourceCreator[] dataBindingSourceCreators)

Groovy Documentation